ZIP_FREAD(3) | Library Functions Manual | ZIP_FREAD(3)

# NAME

`zip_fread` — read from file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int64_t
`zip_fread`(zip_file_t *file, void *buf, zip_uint64_t nbytes);

# DESCRIPTION

The `zip_fread`() function reads up to nbytes bytes from file into buf from the current position in the file (see zip_fseek(3)). After reading, the current position is updated by the number of bytes read.

# RETURN VALUES

If successful, the number of bytes actually read is returned. When `zip_fread`() is called after reaching the end of the file, 0 is returned. In case of error, -1 is returned.

# SEE ALSO

libzip(3), zip_fclose(3), zip_file_get_error(3), zip_fopen(3), zip_fseek(3)

# HISTORY

`zip_fread`() was added in libzip 0.6. In libzip 0.10 the return type was changed from ssize_t to zip_int64_t. In libzip 0.10 the type of nbytes was changed from size_t to zip_uint64_t.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

September 11, 2024 | NiH